pmaports/device/testing/linux-wiko-lenny2/fix-busybox-sh-compatibility.patch
Oliver Smith 64035ac463
device/*: move to device/testing/* (!1063)
Prepare for better device categorization by moving everything to testing
subdir first.

[skip-ci]: chicken-egg problem: passing pmaports CI depends on pmbootstrap MR
				depends on this MR

Related: postmarketos#16
2020-03-14 08:35:32 +01:00

19 lines
528 B
Diff

commit a6c7d0f4d5d1e17121a9c91aa10289a86d2fbfc8
Author: Antoine Fontaine <antoine.fontaine@epfl.ch>
Date: Wed Nov 27 02:22:56 2019 +0100
busybox sh adaptation
diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
index 32b10f53..27cbbbc3 100755
--- a/scripts/link-vmlinux.sh
+++ b/scripts/link-vmlinux.sh
@@ -105,7 +105,7 @@ sortextable()
}
# Delete output files in case of error
-trap cleanup SIGHUP SIGINT SIGQUIT SIGTERM ERR
+trap cleanup SIGHUP SIGINT SIGQUIT SIGTERM
cleanup()
{
rm -f .old_version